cascading

## Class FieldedPipesPlatformTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - cascading.CascadingTestCase
      - - cascading.PlatformTestCase
        - - cascading.FieldedPipesPlatformTest

- All Implemented Interfaces:
    Serializable, junit.framework.Test

      public class FieldedPipesPlatformTest
      extends PlatformTestCase

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FieldedPipesPlatformTest.LowerComparator`

  - ### Field Summary

    - ### Fields inherited from class cascading.CascadingTestCase

      `name, ROOT_OUTPUT_PATH, ROOT_PLAN_PATH, TEST_TRACEPLAN_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldedPipesPlatformTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testChainEndingWithEach()`
    `void` | `testConcatenation()`
    `void` | `testCopy()`
    `void` | `testFilter()`
    `void` | `testFilterAll()` Intentionally filters all values out to test next mr job behaves
    `void` | `testFilterComplex()`
    `void` | `testGeneratorAggregator()`
    `void` | `testGroupByInsensitive()`
    `void` | `testGroupGroup()` Catches failure to properly resolve the grouping fields as incoming to the second group-by
    `void` | `testLogicFilter()`
    `void` | `testNoGroup()`
    `void` | `testNone()`
    `void` | `testReplace()`
    `void` | `testSameSourceMergeThreeChainGroup()` same test as MergePipesTest, but to test that chained groupby don't exhibit similar failures
    `void` | `testSimpleChain()`
    `void` | `testSimpleGroup()`
    `void` | `testSimpleMerge()`
    `void` | `testSimpleMergeThree()` Specifically tests GroupBy will return the correct grouping fields to the following Every additionally tests secondary sorting during merging
    `void` | `testSplit()`
    `void` | `testSplitComplex()`
    `void` | `testSplitMultiple()`
    `void` | `testSplitNonSafe()` verifies non-safe rules apply in the proper place
    `void` | `testSplitOut()` verifies not inserting Identity between groups works
    `void` | `testSplitSameSourceMerged()`
    `void` | `testSplitSameSourceMergedSameName()` this tests a merge on two pipes with the same source and name.
    `void` | `testSwap()`
    `void` | `testUnGroup()`
    `void` | `testUnGroupAnon()`
    `void` | `testUnGroupBySize()`

    - ### Methods inherited from class cascading.PlatformTestCase

      `copyFromLocal, disableDebug, getOutputPath, getOutputPathElements, getPlanPathElements, getPlatform, getPlatformName, getProperties, installPlatform, makeOutputPath, setUp, tearDown`

    - ### Methods inherited from class cascading.CascadingTestCase

      `asCollection, asCollection, asCollection, asCollection, asList, asList, asSet, asSet, getOutputPath, getPlanPath, getSinkAsList, getSourceAsList, getTestCaseName, getTestName, getTestOutputRoot, getTestPlanRoot, invokeAggregator, invokeAggregator, invokeAggregator, invokeAggregator, invokeAggregator, invokeAggregator, invokeBuffer, invokeBuffer, invokeBuffer, invokeBuffer, invokeBuffer, invokeBuffer, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldedPipesPlatformTest

          public FieldedPipesPlatformTest()

  - ### Method Detail

    - #### testSimpleGroup

          public void testSimpleGroup()
                               throws Exception

      Throws:
        `Exception`

    - #### testSimpleChain

          public void testSimpleChain()
                               throws Exception

      Throws:
        `Exception`

    - #### testChainEndingWithEach

          public void testChainEndingWithEach()
                                       throws Exception

      Throws:
        `Exception`

    - #### testNoGroup

          public void testNoGroup()
                           throws Exception

      Throws:
        `Exception`

    - #### testCopy

          public void testCopy()
                        throws Exception

      Throws:
        `Exception`

    - #### testSimpleMerge

          public void testSimpleMerge()
                               throws Exception

      Throws:
        `Exception`

    - #### testSimpleMergeThree

          public void testSimpleMergeThree()
                                    throws Exception

      Specifically tests GroupBy will return the correct grouping fields to the following Every

      additionally tests secondary sorting during merging
      Throws:
        `Exception`

    - #### testSameSourceMergeThreeChainGroup

          public void testSameSourceMergeThreeChainGroup()
                                                  throws Exception

      same test as MergePipesTest, but to test that chained groupby don't exhibit similar failures
      Throws:
        `Exception`

    - #### testUnGroup

          public void testUnGroup()
                           throws Exception

      Throws:
        `Exception`

    - #### testUnGroupAnon

          public void testUnGroupAnon()
                               throws Exception

      Throws:
        `Exception`

    - #### testUnGroupBySize

          public void testUnGroupBySize()
                                 throws Exception

      Throws:
        `Exception`

    - #### testFilter

          public void testFilter()
                          throws Exception

      Throws:
        `Exception`

    - #### testLogicFilter

          public void testLogicFilter()
                               throws Exception

      Throws:
        `Exception`

    - #### testFilterComplex

          public void testFilterComplex()
                                 throws Exception

      Throws:
        `Exception`

    - #### testFilterAll

          public void testFilterAll()
                             throws Exception

      Intentionally filters all values out to test next mr job behaves
      Throws:
        `Exception`

    - #### testSplit

          public void testSplit()
                         throws Exception

      Throws:
        `Exception`

    - #### testSplitNonSafe

          public void testSplitNonSafe()
                                throws Exception

      verifies non-safe rules apply in the proper place
      Throws:
        `Exception`

    - #### testSplitSameSourceMerged

          public void testSplitSameSourceMerged()
                                         throws Exception

      Throws:
        `Exception`

    - #### testSplitOut

          public void testSplitOut()
                            throws Exception

      verifies not inserting Identity between groups works
      Throws:
        `Exception`

    - #### testSplitComplex

          public void testSplitComplex()
                                throws Exception

      Throws:
        `Exception`

    - #### testSplitMultiple

          public void testSplitMultiple()
                                 throws Exception

      Throws:
        `Exception`

    - #### testConcatenation

          public void testConcatenation()
                                 throws Exception

      Throws:
        `Exception`

    - #### testGeneratorAggregator

          public void testGeneratorAggregator()
                                       throws Exception

      Throws:
        `Exception`

    - #### testReplace

          public void testReplace()
                           throws Exception

      Throws:
        `Exception`

    - #### testSwap

          public void testSwap()
                        throws Exception

      Throws:
        `Exception`

    - #### testNone

          public void testNone()
                        throws Exception

      Throws:
        `Exception`

    - #### testSplitSameSourceMergedSameName

          public void testSplitSameSourceMergedSameName()
                                                 throws Exception

      this tests a merge on two pipes with the same source and name.
      Throws:
        `Exception`

    - #### testGroupGroup

          public void testGroupGroup()
                              throws Exception

      Catches failure to properly resolve the grouping fields as incoming to the second group-by
      Throws:
        `Exception`

    - #### testGroupByInsensitive

          public void testGroupByInsensitive()
                                      throws Exception

      Throws:
        `Exception`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.